%define pypi_name bsddb3

Name:           python-%{pypi_name}
Version:        6.2.9
Release:        %mkrel 5
Summary:        Python bindings for BerkeleyDB
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/bsddb3/
Source0:        %{pypi_source}
BuildRequires:  db-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-bsddb3}

%description -n python3-%{pypi_name}
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%autosetup -p1 -n bsddb3-%{version}

# drop bundled egg-info
rm -rf bsddb3.egg-info/

# drop unneeded RPATH
sed -i -e '/runtime_library_dirs/d' setup3.py

%build
%py3_build

%install
%py3_install

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/bsddb3/bsddb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/bsddb3/{dbshelve.py,tests/test_dbtables.py}

# fix shebangs
%{_bindir}/pathfix.py -i %{__python3} -p -n %{buildroot}%{python3_sitearch}/bsddb3/

%files -n python3-%{pypi_name}
%doc ChangeLog PKG-INFO README.txt LICENSE.txt
%{python3_sitearch}/bsddb3/
%{python3_sitearch}/bsddb3-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Sep 25 2022 neoclust <neoclust> 6.2.9-5.mga9
+ Revision: 1892237
- Fix RPATH build issue

* Fri Mar 18 2022 umeabot <umeabot> 6.2.9-4.mga9
+ Revision: 1798962
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 6.2.9-3.mga9
+ Revision: 1773343
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 6.2.9-2.mga9
+ Revision: 1703524
- rebuild for python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 6.2.9-1.mga9
+ Revision: 1698178
- new version 6.2.9

* Sat Feb 29 2020 wally <wally> 6.2.7-1.mga8
+ Revision: 1552135
- new version 6.2.7

* Sun Feb 16 2020 umeabot <umeabot> 6.2.6-6.mga8
+ Revision: 1532106
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 6.2.6-5.mga8
+ Revision: 1441556
- fix dir vs file upgrade
- drop python2 subpkg

* Sun Sep 15 2019 tv <tv> 6.2.6-4.mga8
+ Revision: 1441037
- drop now useless patch

* Wed Sep 11 2019 tv <tv> 6.2.6-3.mga8
+ Revision: 1439601
- patch 0: fix building with python-3.8
- rebuild for python-3.8

* Sun Mar 24 2019 wally <wally> 6.2.6-2.mga7
+ Revision: 1379986
- rename src rpm as python-bsddb3
- add python2 build

* Mon Jan 07 2019 shlomif <shlomif> 6.2.6-1.mga7
+ Revision: 1351497
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 6.1.1-3.mga7
+ Revision: 1300435
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 6.1.1-2.mga7
+ Revision: 1134522
- rebuild for new python

* Tue Jan 19 2016 daviddavid <daviddavid> 6.1.1-1.mga6
+ Revision: 925813
- new version: 6.1.1
- use new python macros

* Thu Oct 08 2015 tv <tv> 6.1.0-1.mga6
+ Revision: 887438
- disable testsuite (broken with python 3.5)
- new release
- rebuild for python 3.5

* Sat Aug 29 2015 tv <tv> 6.0.1-1.mga6
+ Revision: 870837
- imported package python3-bsddb3

